Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypeInstantView

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeInstantView

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypeInstantView extends TdApi.InternalLinkType
The link must be opened in an Instant View. Call getWebPageInstantView with the given URL to process the link. If Instant View is found, then show it, otherwise, open the fallback URL in an external browser.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`fallbackUrl`
An URL to open if getWebPageInstantView fails.
`String`
`url`
URL to be passed to getWebPageInstantView.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypeInstantView()`
The link must be opened in an Instant View.
`InternalLinkTypeInstantView(DataInput input)`
The link must be opened in an Instant View.
`InternalLinkTypeInstantView(String url, String fallbackUrl)`
The link must be opened in an Instant View.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
URL to be passed to getWebPageInstantView.

### fallbackUrl

public String fallbackUrl
An URL to open if getWebPageInstantView fails.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypeInstantView

public InternalLinkTypeInstantView()
The link must be opened in an Instant View. Call getWebPageInstantView with the given URL to process the link. If Instant View is found, then show it, otherwise, open the fallback URL in an external browser.

### InternalLinkTypeInstantView

public InternalLinkTypeInstantView(String url, String fallbackUrl)
The link must be opened in an Instant View. Call getWebPageInstantView with the given URL to process the link. If Instant View is found, then show it, otherwise, open the fallback URL in an external browser.

Parameters:
  `url` - URL to be passed to getWebPageInstantView.
  `fallbackUrl` - An URL to open if getWebPageInstantView fails.

### InternalLinkTypeInstantView

public InternalLinkTypeInstantView(DataInput input) throws IOException
The link must be opened in an Instant View. Call getWebPageInstantView with the given URL to process the link. If Instant View is found, then show it, otherwise, open the fallback URL in an external browser.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`